NotificationSettingsDialog (gCube Notifications Portlet 1.4.0-SNAPSHOT API)
Date: 2015-11-19

org.gcube.portlets.user.notifications.client.view

## Class NotificationSettingsDialog

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Panel
      - - com.google.gwt.user.client.ui.ComplexPanel
        - - com.google.gwt.user.client.ui.FlowPanel
          - - com.github.gwtbootstrap.client.ui.base.DivWidget
            - - com.github.gwtbootstrap.client.ui.Modal
              - - org.gcube.portlets.user.notifications.client.view.NotificationSettingsDialog

- All Implemented Interfaces:
    com.github.gwtbootstrap.client.ui.base.HasId, com.github.gwtbootstrap.client.ui.base.HasStyle, com.github.gwtbootstrap.client.ui.base.IsAnimated, com.github.gwtbootstrap.client.ui.base.IsResponsive, com.github.gwtbootstrap.client.ui.event.HasVisibleHandlers, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.HasWidgets.ForIsWidget, com.google.gwt.user.client.ui.IndexedPanel, com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget, com.google.gwt.user.client.ui.InsertPanel, com.google.gwt.user.client.ui.InsertPanel.ForIsWidget, com.google.gwt.user.client.ui.IsWidget, Iterable<com.google.gwt.user.client.ui.Widget>

      public class NotificationSettingsDialog
      extends com.github.gwtbootstrap.client.ui.Modal

  Author:
    Massimiliano Assante ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.InsertPanel

      `com.google.gwt.user.client.ui.InsertPanel.ForIsWidget`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `loading`
    `static String` | `mailSentNOK`
    `static String` | `mailSentOK`
    `static int` | `WIDTH`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotificationSettingsDialog(LinkedHashMap<String,ArrayList<NotificationPreference>> preferences, NotificationsServiceAsync notificationService)`

  - ### Method Summary

    - ### Methods inherited from class com.github.gwtbootstrap.client.ui.Modal

      `add, addHiddenHandler, addHideHandler, addShowHandler, addShownHandler, getAnimation, getBackdropType, getTitle, hide, hide, insert, isKeyboardEnable, onAttach, onHidden, onHide, onShow, onShown, reconfigure, setAnimation, setBackdrop, setCloseVisible, setDynamicSafe, setHideOthers, setKeyboard, setMaxHeigth, setSize, setTitle, setWidth, show, show, toggle, toggle`

    - ### Methods inherited from class com.github.gwtbootstrap.client.ui.base.DivWidget

      `addStyle, getId, pullRight, removeStyle, setHideOn, setId, setPullRight, setShowOn, setStyle`

    - ### Methods inherited from class com.google.gwt.user.client.ui.FlowPanel

      `clear, insert`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel

      `add, add, adjustIndex, checkIndexBoundsForAccess, checkIndexBoundsForInsertion, getChildren, getWidget, getWidgetCount, getWidgetIndex, getWidgetIndex, insert, insert, iterator, remove, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Panel

      `add, adopt, doAttachChildren, doDetachChildren, orphan, remove`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.InsertPanel.ForIsWidget

      `add`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel.ForIsWidget

      `getWidgetIndex`

    - ### Methods inherited from interface com.google.gwt.user.client.ui.IndexedPanel

      `getWidget, getWidgetCount, getWidgetIndex, remove`

- - ### Field Detail

    - #### loading

          public static final String loading

    - #### mailSentOK

          public static final String mailSentOK

    - #### mailSentNOK

          public static final String mailSentNOK

    - #### WIDTH

          public static final int WIDTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NotificationSettingsDialog

          public NotificationSettingsDialog(LinkedHashMap<String,ArrayList<NotificationPreference>> preferences,
                                    NotificationsServiceAsync notificationService)

Copyright © 2015. All Rights Reserved.